<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package insucom
 */

$error_title = insucom_get_customize_option('error_title');
$error_btn_text = insucom_get_customize_option('error_btn_text');

get_header();

?>

	<div class="lg:pt-[120px] lg:pb-[120px] pt-[60px] pb-[120px]">
        <div class="theme-container mx-auto">
            <div class="lg:grid grid-cols-12 lg:gap-[30px]">
            	<div class="body-content-wrapper lg:col-span-12 col-span-12 mb-[80px] lg:mb-0">
              		<div class="w-full flex flex-col space-y-[80px]">

						<div class="error-page text-center">
							<div class="error-code">
								<strong><?php esc_html_e('404', 'insucom'); ?></strong>
							</div>
							<div class="error-message">
								<h3><?php if(!empty($error_title)) { echo esc_html($error_title); } else { echo esc_html_e('Sorry!...Page Not Found!', 'insucom');}?></h3>
							</div>
							<div class="error-body">
								<a href="<?php echo esc_url(home_url('/')); ?>" class="error-btn-custom"><i class="icofont-home"></i><?php if(!empty($error_btn_text)) { echo esc_html($error_btn_text); } else { echo esc_html_e('Go Home Page', 'insucom');}?></a>
							</div>
						</div>

			   		</div>
				</div>
			</div>
		</div>
	</div>

<?php get_footer(); ?>
