<?php
/**
 * The template for displaying property archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package insucom
 */
    
get_header();
    
    
?>

    <!--page title section-->
    <section class="page-title-wrapper w-full h-[345px]">
        <div class="theme-container mx-auto h-full">
          <div class="w-full h-full flex sm:flex-row flex-col sm:justify-between justify-center space-y-3 sm:space-y-0 items-center">
            <h2 class="headline-default text-primary-900"><?php the_title(); ?></h2>
            <ul class="breadcrumb-wrapper flex space-x-5 items-center">
              <li class="breadcrumb-item">
                <a href="#">
                  <div class="flex space-x-5 items-center">
                    <span class="sm:text-lg text-primary-500 sm:leading-[27px] text-sm font-semibold spline-sans"
                      ><?php esc_html_e('Home', 'insucom'); ?></span>
                    <i class="ri-arrow-right-s-line"></i>
                  </div>
                </a>
              </li>
              <li class="breadcrumb-item">
                <a href="<?php echo esc_url(home_url('/')); ?>">
                  <div class="flex space-x-5 items-center">
                    <span class="sm:text-lg text-primary-500 sm:leading-[27px] text-sm font-semibold spline-sans"
                      ><?php esc_html_e('Projects', 'insucom'); ?></span>
                  </div>
                </a>
              </li>
            </ul>
          </div>
        </div>
    </section>
    <!--page title section end-->

    <section id="main-content" class="blog main-container blog-spacing portfolio-container-wrap" role="main">
        <div class="portfolios-grid-area theme-portfolios-grid-wrapper">
            <div class="theme-container mx-auto">
                <div class="w-full">
                    <div class="grid lg:grid-cols-3 sm:grid-cols-2 grid-cols-1 lg:gap-y-[80px] gap-y-[60px] gap-x-[30px]">
                        <?php if (have_posts()): ?>
                        <?php while (have_posts()): the_post(); ?>
                        <?php get_template_part('template-parts/portfolio/content');  ?>
                        <?php
                            endwhile; ?>
                        <div class="theme-pagination-style">
                            <?php
                                the_posts_pagination(array(
                                'next_text' => '<i class="fa fa-long-arrow-right"></i>',
                                'prev_text' => '<i class="fa fa-long-arrow-left"></i>',
                                'screen_reader_text' => ' ',
                                'type'               => 'list'
                                ));
                            ?>
                        </div>
                        <?php else: ?>
                        <?php get_template_part('template-parts/content', 'none'); ?>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
    
<?php get_footer(); ?>