<?php
/**
 * The template for displaying catgeory pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package insucom
 */

$cat_breadcrumb = insucom_get_customize_option('cat_breadcrumb_enable', true);

get_header();
	
?>
	
	<?php if($cat_breadcrumb == true) :?>
	<!-- Category Breadcrumb -->

	<section class="page-title-wrapper w-full h-[345px]">
      <div class="theme-container mx-auto h-full">
        <div class="w-full h-full flex sm:flex-row flex-col sm:justify-between justify-center space-y-3 sm:space-y-0 items-center">
          <h2 class="headline-default text-primary-900"><?php echo esc_html__('Category','insucom').' :'; ?>  <?php single_cat_title(); ?></h2>
          <ul class="breadcrumb-wrapper flex space-x-5 items-center">
            <li class="breadcrumb-item">
              <a href="<?php echo esc_url(home_url('/')); ?>">
                <div class="flex space-x-5 items-center">
                  <span class="sm:text-lg text-primary-500 sm:leading-[27px] text-sm font-semibold spline-sans"
                    ><?php esc_html_e('Home', 'insucom'); ?></span>
                  <i class="ri-arrow-right-s-line"></i>
                </div>
              </a>
            </li>
            <li class="breadcrumb-item">
              <a href="<?php echo esc_url(home_url('/')); ?>">
                <div class="flex space-x-5 items-center">
                  <span class="sm:text-lg text-primary-500 sm:leading-[27px] text-sm font-semibold spline-sans"
                    ><?php single_cat_title(); ?></span>
                </div>
              </a>
            </li>
          </ul>
        </div>
      </div>
 	</section>
	<!-- Category Breadcrumb End -->
	<?php endif; ?>

	<div class="lg:pt-[120px] lg:pb-[120px] pt-[60px] pb-[120px]">
        <div class="theme-container mx-auto">
          <div class="lg:grid grid-cols-12 lg:gap-[30px]">
            <div class="body-content-wrapper lg:col-span-8 col-span-12 mb-[80px] lg:mb-0">
              <div class="w-full flex flex-col space-y-[80px]">

					<?php if (have_posts()): ?>
					
						<div class="w-full">
						<?php while (have_posts()): the_post(); ?>
							<?php get_template_part('template-parts/content', get_post_format());?>
						<?php
						endwhile; ?>
						</div>	
						
						<div class="theme-pagination-style">
							<?php
								the_posts_pagination(array(
								'next_text' => '<i class="ri-arrow-right-line"></i>',
								'prev_text' => '<i class="ri-arrow-left-line"></i>',
								'screen_reader_text' => ' ',
								'type'               => 'list'
							));
							?>
						</div>
						
						<?php else: ?>
							<?php get_template_part('template-parts/content', 'none'); ?>
						<?php endif; ?>
						
			</div>
		</div>
		<?php get_sidebar(); ?>


			</div>
		</div>

	</div>
	
	<?php get_footer(); ?>