<?php
/*
 * Theme Metabox
 * @package Insucom
 * @since 1.0.0
 * */

if ( !defined('ABSPATH') ){
    exit(); // exit if access directly
}

if ( class_exists('CSF') ){

    $prefix = 'insucom';

	/*-------------------------------------
		Category Taxonomy Options
	-------------------------------------*/
	
	
// Create taxonomy options
  CSF::createTaxonomyOptions( $prefix, array(
	'title'     => esc_html__('Catgeory Options','insucom'),
    'taxonomy'  => 'category',
    'data_type' => 'serialize', // The type of the database save options. `serialize` or `unserialize`
  ) );

  //
  // Create a section
  CSF::createSection( $prefix, array(
    'fields' => array(

	array(
	
	  'id'          => 'cat-color',
	  'type'        => 'color',
	  'title'       => esc_html__('Select Category Color','insucom'),
	  'default' => '#0073FF',
	  	  
	),
	
	array(
	
	  'id'          => 'catbg-color',
	  'type'        => 'color',
	  'title'       => esc_html__('Select Category Background Color','insucom'),
	  'default' => '#0073ff1a',
	  	  
	),

	


	array(
	  'id'    => 'cat-bg',
	  'type'  => 'upload',
	  'title' => esc_html__('Upload','insucom'),
	),

	   array(
		'id' => 'insucom_cat_layout',
		'type' => 'image_select',
		'title' => esc_html__('Select Category Layout','insucom'),
		'options' => array(
			'catt-one' => INSUCOM_IMG . '/admin/page/style1.png',
			'catt-two' => INSUCOM_IMG . '/admin/page/style2.png',
		),
		'default' => 'catt-one'
	),

    )
  ) );
	
	
	/*-------------------------------------
		Post Format Options
	-------------------------------------*/
	CSF::createMetabox('theme_postvideo_options',array(
		'title' => esc_html__('Video Post Format Options','insucom'),
		'post_type' => 'post',
		'post_formats' => 'video',
		'data_type'          => 'serialize',
		'context'            => 'advanced',
		'priority'           => 'default',
	));
	
	CSF::createSection('theme_postvideo_options',array(
		'fields' => array(
			array(
				'id' => 'textm',
				'type' => 'text',
				'title' => esc_html__('Upload Video For Post','insucom'),
				'desc' => esc_html__('Upload Video Post','insucom'),
			)
		)
	));

	
	/*-------------------------------------
       Page Options
   -------------------------------------*/
   	  $post_metabox = 'insucom_post_meta';
	  
	  CSF::createMetabox( $post_metabox, array(
	    'title'     => esc_html__('Page Options','insucom'),
	    'post_type' => 'page',
	  ) );

	  //
	  // Create a section
	  CSF::createSection( $post_metabox, array(
	    'title'  => 'Nav Menu Option',
	    'fields' => array(
	     array(
                'type'    => 'subheading',
                'content' => esc_html__('Nav Menu Option','insucom'),
	       ),
	      //
		
		array(
            'id' => 'nav_menu',
            'type' => 'image_select',
            'title' => esc_html__('Select Header Navigation Style','insucom'),
            'options' => array(
                'nav-style-one' => INSUCOM_IMG . '/admin/header-style/style1.png',
                'nav-style-two' => INSUCOM_IMG . '/admin/header-style/style2.png',
            ),
            'default' => 'nav-style-one'
        ),

        array(
            'id' => 'footer_style',
            'type' => 'image_select',
            'title' => esc_html__('Select Footer Layout', 'insucom') ,
            'options' => array(
                'footer-style-one' => INSUCOM_IMG . '/admin/header-style/footer-1.png',
                'footer-style-two' => INSUCOM_IMG . '/admin/header-style/footer-2.png',
            ) ,
            'default' => 'footer-style-one'
        ) ,

		
		
		array(
			'id' => 'page_title_enable',
			'title' => esc_html__('Show Page Title','insucom'),
			'type' => 'switcher',
			'default' => true,
			'desc' => esc_html__('Show Page Title Bar', 'insucom') ,
		),
		
		
		array(
			'id' => 'page-spacing-padding',
			'type' => 'spacing',
			'title' => esc_html__('Theme Page Spacing', 'insucom') ,
			'output' => 'body.page .main-container',
			'output_mode' => 'padding', // or margin, relative
			'default' => array(
				'top' => '80',
				'right' => '0',
				'bottom' => '80',
				'left' => '0',
				'unit' => 'px',
			) ,
		) ,
		
		
		
		
		

	    )
	  ) );	
	  
	/*-------------------------------------
       Post Options
   -------------------------------------*/
   	  $single_blog_metabox = 'insucom_blog_post_meta';
	  
	  CSF::createMetabox( $single_blog_metabox, array(
	    'title'     => esc_html__('Post Options', 'insucom') ,
	    'post_type' => 'post',
	  ) );

	  //
	  // Create a section
	  CSF::createSection( $single_blog_metabox, array(
	    'title'  => esc_html__('Single Post Layout Option', 'insucom') ,
	    'fields' => array(
	     array(
                'type'    => 'subheading',
                'content' => esc_html__('Single Post Layout Option','insucom'),
	       ),
	      //
		
		array(
				'id' => 'insucom_single_blog_layout',
				'type' => 'image_select',
				'title' => esc_html__('Select Single Blog Style','insucom'),
				'options' => array(
					'single-one' => INSUCOM_IMG . '/admin/page/blog-1.png',
					'single-two' => INSUCOM_IMG . '/admin/page/blog-2.png',
				),
				'default' => 'single-one'
			),
		

	    )
	  ) );	
	  

    /*-------------------------------------
    Project Metabox Options
    -------------------------------------*/
    CSF::createMetabox('theme_portfolio_options', array(
        'title' => esc_html__('Single Portfolio Options', 'insucom') ,
        'post_type' => 'theme_portfolio',
        'data_type' => 'serialize',
        'context' => 'advanced',
        'priority' => 'default',
    ));

    CSF::createSection('theme_portfolio_options', array(
        'fields' => array(

            array(
                'id' => 'project_client',
                'type' => 'text',
                'title' => esc_html__('Client Name', 'insucom') ,
                'desc' => esc_html__('Give Client Name.', 'insucom') ,
                'default' => esc_html__('Alonso D. Dowson', 'insucom') ,
            ) ,

            array(
                'id' => 'project_catname',
                'type' => 'text',
                'title' => esc_html__('Give Catgeory Name', 'insucom') ,
                'desc' => esc_html__('Give Category Name.', 'insucom') ,
                'default' => esc_html__('Architecture', 'insucom') ,
            ) ,

            array(
                'id' => 'project_price',
                'type' => 'text',
                'title' => esc_html__('Give Price', 'insucom') ,
                'desc' => esc_html__('Give Price.', 'insucom') ,
                'default' => esc_html__('$20,000', 'insucom') ,
            ) ,

            array(
                'id' => 'project_date',
                'type' => 'text',
                'title' => esc_html__('Insert Date', 'insucom') ,
                'desc' => esc_html__('Give Date.', 'insucom') ,
                'default' => esc_html__('24th June 2023', 'insucom') ,
            ) ,

				

        )
    ));



}//endif