<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package insucom
 */

get_header(); 


if(get_post_meta($post->ID, 'insucom_post_meta', true)) {
    $page_meta = get_post_meta($post->ID, 'insucom_post_meta', true);
} else {
    $page_meta = array();
}

if( array_key_exists( 'page_title_enable', $page_meta )) {
    $enable_title = $page_meta['page_title_enable'];
} else {
    $enable_title = true;
}



?>

    <!-- Page Breadcrumb -->
	
	<?php if( $enable_title == true ) : ?>

    <section class="page-title-wrapper w-full h-[345px]">
        <div class="theme-container mx-auto h-full">
          <div class="w-full h-full flex sm:flex-row flex-col sm:justify-between justify-center space-y-3 sm:space-y-0 items-center">
            <h2 class="headline-default text-primary-900"><?php the_title(); ?></h2>
            <ul class="breadcrumb-wrapper flex space-x-5 items-center">
              <li class="breadcrumb-item">
                <a href="#">
                  <div class="flex space-x-5 items-center">
                    <span class="sm:text-lg text-primary-500 sm:leading-[27px] text-sm font-semibold spline-sans"
                      ><?php esc_html_e('Home', 'insucom'); ?></span>
                    <i class="ri-arrow-right-s-line"></i>
                  </div>
                </a>
              </li>
              <li class="breadcrumb-item">
                <a href="<?php echo esc_url(home_url('/')); ?>">
                  <div class="flex space-x-5 items-center">
                    <span class="sm:text-lg text-primary-500 sm:leading-[27px] text-sm font-semibold spline-sans"
                      ><?php the_title(); ?></span>
                  </div>
                </a>
              </li>
            </ul>
          </div>
        </div>
   	</section>

	<?php endif; ?>
	
    <!-- Page Breadcrumb End -->

	<div id="main-content" class="main-container theme-page-spacing" role="main">
		<div class="theme-container mx-auto">   
			<div class="row-inner">
				<div class="column-page-custom">
					<?php while ( have_posts() ) : the_post(); ?>
						<div class="single-content">
							<div class="entry-content">
								<?php get_template_part( 'template-parts/content', 'page' ); ?>
								
								<?php 
									// If comments are open or we have at least one comment, load up the comment template.
									if ( comments_open() || get_comments_number() ) :
										comments_template();
									endif;
								?>	
								
							</div>
						</div>		
					<?php endwhile; ?>
				</div> 
			</div> 
		</div> 
	</div> 
	
	<?php get_footer(); ?>