<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package insucom
 */
 
get_header();

?>
	
	<!-- Search Breadcrumb -->
	<section class="page-title-wrapper w-full h-[345px]">
      <div class="theme-container mx-auto h-full">
        <div class="w-full h-full flex sm:flex-row flex-col sm:justify-between justify-center space-y-3 sm:space-y-0 items-center">
          <h2 class="headline-default text-primary-900"> <?php printf(esc_html__('Search Results for: %s', 'insucom') , get_search_query()); ?></h2>
        </div>
      </div>
  </section>
  <!-- Search Breadcrumb End -->

	<div class="lg:pt-[120px] lg:pb-[120px] pt-[60px] pb-[120px]">
        <div class="theme-container mx-auto">
          <div class="lg:grid grid-cols-12 lg:gap-[30px]">
            <div class="body-content-wrapper lg:col-span-8 col-span-12 mb-[80px] lg:mb-0">
              <div class="w-full flex flex-col space-y-[80px]">

					<?php if (have_posts()): ?>
					
						<div class="w-full">
						<?php while (have_posts()): the_post(); ?>
							<?php get_template_part('template-parts/content', get_post_format());?>
						<?php
						endwhile; ?>
						</div>	
						
						<div class="theme-pagination-style">
							<?php
								the_posts_pagination(array(
								'next_text' => '<i class="ri-arrow-right-line"></i>',
								'prev_text' => '<i class="ri-arrow-left-line"></i>',
								'screen_reader_text' => ' ',
								'type'               => 'list'
							));
							?>
						</div>
						
						<?php else: ?>
							<?php get_template_part('template-parts/content', 'none'); ?>
						<?php endif; ?>

			</div>
		</div>
		<?php get_sidebar(); ?>


			</div>
			
		</div>

	</div>
	
	<?php get_footer(); ?>