<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package insucom
 */

$property_meta = get_post_meta(get_the_ID(), "theme_portfolio_options", true);

if (get_post_meta($post->ID, "theme_portfolio_options", true)) {
    $propertyy_meta = get_post_meta($post->ID, "theme_portfolio_options", true);
} else {
    $propertyy_meta = [];
}

if (array_key_exists("project_client", $propertyy_meta)) {
    $project_client = $propertyy_meta["project_client"];
} else {
    $project_client = "";
}

if (array_key_exists("project_date", $propertyy_meta)) {
    $project_date = $propertyy_meta["project_date"];
} else {
    $project_date = "";
}

if (array_key_exists("project_catname", $propertyy_meta)) {
    $project_catname = $propertyy_meta["project_catname"];
} else {
    $project_catname = "";
}

if (array_key_exists("project_price", $propertyy_meta)) {
    $project_price = $propertyy_meta["project_price"];
} else {
    $project_price = "";
}

get_header();
?>

<!--page title section-->
<section class="page-title-wrapper w-full h-[345px]">
	<div class="theme-container mx-auto h-full">
		<div class="w-full h-full flex sm:flex-row flex-col sm:justify-between justify-center space-y-3 sm:space-y-0 items-center">
			<h2 class="headline-default text-primary-900"><?php esc_html_e(
       "Project Details",
       "insucom"
   ); ?></h2>
			<ul class="breadcrumb-wrapper flex space-x-5 items-center">
				<li class="breadcrumb-item">
					<a href="#">
						<div class="flex space-x-5 items-center">
							<span class="sm:text-lg text-primary-500 sm:leading-[27px] text-sm font-semibold spline-sans"><?php esc_html_e(
           "Home",
           "insucom"
       ); ?></span>
							<i class="ri-arrow-right-s-line"></i>
						</div>
					</a>
				</li>
				<li class="breadcrumb-item">
					<a href="<?php echo esc_url(home_url("/")); ?>">
						<div class="flex space-x-5 items-center">
							<span class="sm:text-lg text-primary-500 sm:leading-[27px] text-sm font-semibold spline-sans"><?php the_title(); ?></span>
						</div>
					</a>
				</li>
			</ul>
		</div>
	</div>
</section>
<!--page title section end-->

<div class="lg:pt-[120px] lg:pb-[240px] pt-[60px] pb-[120px]">
	<div class="theme-container mx-auto">
		<div class="w-full">

			<?php while (have_posts()):
       the_post(); ?>

			<div class="lg:grid grid-cols-12 gap-[30px] mb-[80px]">
				<div class="col-span-7 mb-10 lg:mb-0">
					<div class="w-full h-[440px] rounded overflow-hidden">
						<img src="<?php echo esc_attr(
          esc_url(get_the_post_thumbnail_url(null, "full"))
      ); ?>" class="w-full h-full object-cover" alt="<?php the_title_attribute(); ?>">
					</div>
				</div>
				<div class="col-span-5 relative">
					<h2 class="headline-default text-primary-900 mb-2.5">
						<?php echo esc_html(get_the_title()); ?>
					</h2>
					<p class="text-base leading-[27px] text-primary-100 mb-2.5 project-custom-excerpt">
						<?php echo esc_html(wp_trim_words(get_the_excerpt(), 40, "")); ?>
					</p>

					<div class="lg:w-[583px] w-full xl:h-[218px] h-[200px] bg-no-repeat lg:bg-contain bg-cover lg:absolute -left-20 flex justify-center items-center px-5 sm:px-[60px] project-detail-custom-bg">
						<div class="grid grid-cols-2 justify-between gap-y-[30px] w-full">
							<div class="flex sm:space-x-[30px] space-x-5 items-center">
								<div class="w-[1px] h-[36px] bg-white bg-opacity-[0.2]"></div>
								<div>
									<p class="text-white text-base leading-[27px] project-para-spacing">
										<?php esc_html_e("Client", "insucom"); ?>
									</p>
									<p class="text-white text-lg font-semibold spline-sans leading-[27px]">
										<?php echo esc_html($project_client); ?>
									</p>
								</div>
							</div>
							<div class="flex sm:space-x-[30px] space-x-5 items-center">
								<div class="w-[1px] h-[36px] bg-white bg-opacity-[0.2]"></div>
								<div>
									<p class="text-white text-base leading-[27px]">
										<?php esc_html_e("Category", "insucom"); ?>
									</p>
									<p class="text-white text-lg font-semibold spline-sans leading-[27px]">
										<?php echo esc_html($project_catname); ?>
									</p>
								</div>
							</div>
							<div class="flex sm:space-x-[30px] space-x-5 items-center">
								<div class="w-[1px] h-[36px] bg-white bg-opacity-[0.2]"></div>
								<div>
									<p class="text-white text-base leading-[27px]">
										<?php esc_html_e("Amount", "insucom"); ?>
									</p>
									<p class="text-white text-lg font-semibold spline-sans leading-[27px]">
										<?php echo esc_html($project_price); ?>
									</p>
								</div>
							</div>
							<div class="flex sm:space-x-[30px] space-x-5 items-center">
								<div class="w-[1px] h-[36px] bg-white bg-opacity-[0.2]"></div>
								<div>
									<p class="text-white text-base leading-[27px]"><?php esc_html_e(
             "Date",
             "insucom"
         ); ?></p>
									<p class="text-white text-lg font-semibold spline-sans leading-[27px]">
										<?php echo esc_html($project_date); ?>
									</p>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>

			<div class="project-details-content">
				<div class="entry-content">

					<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
						<div class="post-body clearfix">
							<!-- Article content -->
							<div class="entry-content clearfix">
								<?php
        the_content();

        wp_link_pages([
            "before" =>
                '<div class="page-links">' . esc_html__("Pages:", "insucom"),
            "after" => "</div>",
        ]);
        ?>
							</div>
						</div>
					</article>

					<?php // If comments are open or we have at least one comment, load up the comment template.

       if (comments_open() || get_comments_number()):
         comments_template();
     endif; ?>

				</div>

			</div>

			<div class="blog-prev-next-posts services-prev-next-posts">
				<div class="flex justify-between items-center py-10 border-b border-primaryBorder">
					<div class="col-6">
						<div class="pn-post-item">
							<?php previous_post_link(); ?>
						</div>
					</div>
					<div class="col-6">
						<div class="pn-post-item next-post">
							<?php next_post_link(); ?>
						</div>
					</div>
				</div>
			</div>


			<?php
   endwhile; ?>

		</div>

	</div>

</div>


<?php get_footer(); ?>
