<?php 
    $show_blog_cat = insucom_get_customize_option('show_blog_cat', true);
    $show_blog_date = insucom_get_customize_option('show_blog_date', true);
    $show_blog_excerpt = insucom_get_customize_option('show_blog_excerpt', true);
    $show_blog_thumb = insucom_get_customize_option('show_blog_thumb', true);
    $set_blog_excerpt_limit = insucom_get_customize_option('set_blog_excerpt_limit');
    
?>

<div class="w-full blog-single-item-wrapper">
    <div <?php post_class('post-block-wrapper-new'); ?>>
        <div class="w-full blog-featured-custom-img">
            <?php if(has_post_thumbnail() && $show_blog_thumb == true): ?>
            <div class="w-full h-full overflow-hidden rounded">
                <img class="w-full h-full object-cover" src="<?php echo esc_attr(esc_url(get_the_post_thumbnail_url(null, 'full'))); ?>" alt="<?php the_title_attribute(); ?>">
            </div>
            <?php endif; ?>
        </div>
        <div class="w-full sm:px-[30px] -mt-[30px] relative z-10">
            <div class="w-full sm:p-10 p-5 bg-white rounded blog-featured-custom-style">
                <a href="<?php the_permalink(); ?>">
                    <p
                        class="sm:text-[30px] font-semibold spline-sans sm:leading-9 text-2xl text-primary-900 mb-2 blog-custom-title"
                        >
                        <?php echo get_the_title(); ?>
                    </p>
                </a>
                <ul class="flex space-x-5 items-center mb-5">
                    <li>
                        <span
                            class="sm:text-base sm:leading-[27px] text-sm text-primary-100 post-author-link"
                            ><?php esc_html_e('By', 'insucom'); ?> <?php echo get_the_author_link(); ?></span
                            >
                    </li>
                    <li class="flex sm:space-x-5 space-x-2.5 items-center">
                        <div
                            class="w-2.5 h-2.5 rounded-full bg-primary-500"
                            ></div>
                        <span class="sm:text-base sm:leading-[27px] text-sm text-primary-100">
                        <?php echo esc_html( get_the_date( 'F j, Y' ) ); ?>	
                        </span>
                    </li>
                </ul>
                <p
                    class="sm:text-base text-primary-100 text-sm sm:leading-[27px] mb-[30px]"
                    >
                    <?php echo esc_html( wp_trim_words(get_the_excerpt(), 30 ,'') );?>
                </p>
                <div class="flex justify-between items-center">
                    <a href="<?php the_permalink(); ?>">
                        <div
                            class="px-[46px] py-[20px] bg-primary-500 rounded-lg text-white text-lg spline-sans leading-none hover:bg-primary-900 common-trans"
                            >
                            <span>Read More</span>
                        </div>
                    </a>
                </div>
            </div>
        </div>
    </div>
</div>