<?php

if (!defined("ABSPATH")) {
    exit(); // Exit if accessed directly
}

$insucom_logo = insucom_get_customize_option("theme_logo");
$insucom_logo_id =
    isset($insucom_logo["id"]) && !empty($insucom_logo["id"])
        ? $insucom_logo["id"]
        : "";
$insucom_logo_url = isset($insucom_logo["url"]) ? $insucom_logo["url"] : "";
$insucom_logo_alt = get_post_meta(
    $insucom_logo_id,
    "_wp_attachment_image_alt",
    true
);
$theme_header_sticky = insucom_get_customize_option(
    "theme_header_sticky",
    false
);
$search_bar_enable = insucom_get_customize_option("search_bar_enable", true);
$burger_nav_enable = insucom_get_customize_option("burger_nav_enable");
$insucom_header_social = insucom_get_customize_option("header_social_enable");
$insucom_social_icon = insucom_get_customize_option("header-social-icon");
$header_btn_text_one = insucom_get_customize_option("header_btn_text_one");
$header_btn_text_two = insucom_get_customize_option("header_btn_text_two");
$header_btn_text_quote = insucom_get_customize_option("header_btn_text_quote");
$header_btn_link_quote = insucom_get_customize_option("header_btn_link_quote");
$header_btn_text_call = insucom_get_customize_option("header_btn_text_call");
$header_btn_text_number = insucom_get_customize_option(
    "header_btn_text_number"
);
?>


    <header>
      <!-- Top bar -->
      <div
        class="top-bar lg:block hidden w-full h-[50px] border-b border-primaryBorder header-template-one-top"
      >
        <div class="w-full h-full flex justify-between items-center header-one-top-bar-left">
          <div class="xl:ml-16 ml-5 flex space-x-9 items-center h-full">
            <div class="flex items-center space-x-2.5">
              <i class="icofont-google-map"></i>
              <p class="text-base text-primary-100">
                <?php if ($header_btn_text_one):
                    echo esc_html($header_btn_text_one);
                else:
                    echo esc_html__("6391 Elgin St. Celina, 10299", "insucom");
                endif; ?>
              </p>
            </div>
            <div class="w-[1px] h-full bg-primaryBorder"></div>
            <div class="flex items-center space-x-2.5">
              <i class="ri-time-fill"></i>
              <p class="text-base text-primary-100">
                <?php esc_html_e(
                    "Sunday - Friday:",
                    "insucom"
                ); ?> <span class="font-bold"><?php if ($header_btn_text_two):
     echo esc_html($header_btn_text_two);
 else:
     echo esc_html__("9 am - 8 pm", "insucom");
 endif; ?></span>
              </p>
            </div>
          </div>
          <div class="flex h-full">

          <?php if (!empty($insucom_social_icon)):
              foreach ($insucom_social_icon as $item): ?>


            <a href="<?php echo esc_url($item["link"]); ?>" target="blank">
              <div
                class="w-[50px] h-full hover:bg-primary-500 text-gray-800 hover:text-white common-trans border-r border-l flex justify-center items-center border-primaryBorder"
              >
                <i class="<?php echo esc_attr($item["icon"]); ?>"></i>

              </div>
            </a>

          <?php endforeach;
          endif; ?>

            <a href="<?php echo esc_url($header_btn_link_quote); ?>">
              <div
                class="w-[155px] h-full flex justify-center items-center bg-primary-500 hover:bg-primary-900 common-trans quote-btn-one"
              >
                <div class="flex space-x-2 items-center text-white">
                  <span class="text-sm spline-sans"><?php if (
                      $header_btn_text_quote
                  ):
                      echo esc_html($header_btn_text_quote);
                  else:
                      echo esc_html__("Get a quote", "insucom");
                  endif; ?></span>
                  <span>
                    <img src="<?php echo INSUCOM_IMG .
                        "/quote-pic.svg"; ?>" alt="" class="quote-icon-img">
                  </span>
                </div>
              </div>
            </a>
          </div>
        </div>
      </div>
      <!-- navigation-->
      <div
        class="navigation-wrapper w-full h-[90px] border-b border-primaryBorder"
      >
        <div class="w-full h-full flex justify-between theme-menu-mobile-position">
          <div class="h-full flex items-center space-x-[72px] xl:ml-16 sm:ml-5 theme-menu-mobile-inner">
      
      
            <!-- logo -->


      <?php if (has_custom_logo() || !empty($insucom_logo_url)) {
          if (isset($insucom_logo["url"]) && !empty($insucom_logo_url)) { ?>
            <a href="<?php echo esc_url(site_url("/")); ?>" class="logo">
              <div class="logo-area w-[180px] h-[55px]">
              <img class="w-full h-full object-contain" src="<?php echo esc_url(
                  $insucom_logo_url
              ); ?>" alt="<?php echo esc_attr($insucom_logo_alt); ?>">
              </div>
            </a>
          <?php } else {the_custom_logo();}
      } else {
          printf(
              '<h1 class="text-logo"><a href="%1$s">%2$s</a></h1>',
              esc_url(site_url("/")),
              esc_html(get_bloginfo("name"))
          );
      } ?>
      
      <div class="nav-wrapper-one">
      <div class="insucom-responsive-menu"></div>
      
        
      
      <?php wp_nav_menu([
          "theme_location" => "primary",
          "container" => "nav",
          "container_class" => "nav-wrapper lg:block hidden",
          "menu_class" => "flex space-x-7 items-center",
          "menu_id" => "primary-menu",
          "fallback_cb" => "insucom_fallback_menu",
      ]); ?>

      </div>


          </div>
          <div class="h-full items-center flex">
            <div class="xl:flex hidden items-center hidden-block-header">
                <img src="<?php echo INSUCOM_IMG .
                    "/call-icon.png"; ?>" alt="" class="call-icon-img">
              <div class="flex flex-col">
                <span class="spline-sans text-sm text-gray-900 font-medium"
                  ><?php if ($header_btn_text_call):
                      echo esc_html($header_btn_text_call);
                  else:
                      echo esc_html__("Requesting A Call:", "insucom");
                  endif; ?></span
                >
                <span class="text-base font-bold text-gray-900"
                  ><?php if ($header_btn_text_number):
                      echo esc_html($header_btn_text_number);
                  else:
                      echo esc_html__("(629) 555-0129", "insucom");
                  endif; ?></span
                >
              </div>
            </div>

            <?php if ($search_bar_enable == true): ?>

            <div class="search-bar-wrapper xl:block hidden w-[77px] h-full relative ml-7">
              <button type="button" class="w-full h-full flex justify-center items-center border-primaryBorder border-l border-r">
                  <span class="text-primary-900"><i class="icofont-search"></i></span>
              </button>
              <div
                class="search-form w-[400px] p-5 bg-white shadow-2xl absolute -left-[300px] top-full z-30"
              >


                <form role="search" method="get" action="<?php echo esc_url(
                    home_url("/")
                ); ?>">
                    <input type="text" class="hsearch-input" value="<?php echo get_search_query(); ?>" name="s" placeholder="<?php esc_attr_e(
    "Search...",
    "insucom"
); ?>" required />
                    <button type="submit" id="searchsubmitt" class="hsearch-button"><i class="icofont-search-1"></i></button>
                </form>



              </div>
            </div>

            <?php endif; ?>



            <div class="header-panel-nav-box menu-sidebar">
              <button></button>
            </div>


          </div>
        </div>
      </div>
    </header>
  
  <!-- Hidden Sidebar -->
<section class="hidden-bar">
    <div class="inner-box">
        <div class="cross-icon"><span class="fa fa-times"></span></div>
    <?php dynamic_sidebar("header-one-nav-wid"); ?>
    </div>
</section>
<!--End Hidden Sidebar -->
  

