<?php

if (!defined("ABSPATH")) {
    exit(); // Exit if accessed directly
}

$insucom_logo = insucom_get_customize_option("theme_logo_light");
$insucom_logo_id =
    isset($insucom_logo["id"]) && !empty($insucom_logo["id"])
        ? $insucom_logo["id"]
        : "";
$insucom_logo_url = isset($insucom_logo["url"]) ? $insucom_logo["url"] : "";
$insucom_logo_alt = get_post_meta(
    $insucom_logo_id,
    "_wp_attachment_image_alt",
    true
);

$theme_header_sticky = insucom_get_customize_option(
    "theme_header_sticky",
    false
);
$search_bar_enable = insucom_get_customize_option("search_bar_enable");
$burger_nav_enable = insucom_get_customize_option("burger_nav_enable");

$insucom_header_social = insucom_get_customize_option("header_social_enable");
$insucom_social_icon = insucom_get_customize_option("header-social-icon");
$header_btn_text_one = insucom_get_customize_option("header_btn_text_one");
$header_btn_text_two = insucom_get_customize_option("header_btn_text_two");
$header_btn_text_quote = insucom_get_customize_option("header_btn_text_quote");
$header_btn_link_quote = insucom_get_customize_option("header_btn_link_quote");
$header_btn_text_call = insucom_get_customize_option("header_btn_text_call");
$header_btn_text_number = insucom_get_customize_option(
    "header_btn_text_number"
);

$header_btn_email_url = insucom_get_customize_option("header_btn_email_url");
?>

    <header>
      <div
        class="lg:block hidden top-bar-wrapper top-bar-header-two w-full bg-primary-500 h-[50px]"
      >
        <div class="theme-container mx-auto h-full">
          <div class="w-full h-full flex justify-between items-center">
            <div class="flex space-x-9 items-center">
              <div class="flex items-center space-x-2.5">
                <i class="icofont-envelope"></i>
                <p class="text-base text-white"><?php if (
                    $header_btn_email_url
                ):
                    echo esc_html($header_btn_email_url);
                else:
                    echo esc_html__("info@example.com", "insucom");
                endif; ?></p>
              </div>
              <div class="flex items-center space-x-2.5">
                <i class="icofont-google-map"></i>
                <p class="text-base text-white"><?php if ($header_btn_text_one):
                    echo esc_html($header_btn_text_one);
                else:
                    echo esc_html__("6391 Elgin St. Celina, 10299", "insucom");
                endif; ?></p>
              </div>
              <div class="flex items-center space-x-2.5">
                <i class="icofont-ui-call"></i>
                <p class="text-base text-white"><?php if (
                    $header_btn_text_number
                ):
                    echo esc_html($header_btn_text_number);
                else:
                    echo esc_html__("(629) 555-0129", "insucom");
                endif; ?></p>
              </div>
            </div>
            <div class="flex space-x-6 items-center">

        <?php if (!empty($insucom_social_icon)):
            foreach ($insucom_social_icon as $item): ?>

              <a href="<?php echo esc_url($item["link"]); ?>">
                <i class="<?php echo esc_attr($item["icon"]); ?>"></i>
              </a>

          <?php endforeach;
        endif; ?>

            </div>
          </div>
        </div>
      </div>
      <div
        class="navigation-wrapper navigation-wrapper-two-two w-full bg-primary-900 h-[90px]"
      >
        <div class="theme-container h-full mx-auto theme-menu-mobile-position">
          <div class="w-full h-full flex justify-between items-center theme-menu-mobile-inner">

            <!-- logo -->

            <?php if (has_custom_logo() || !empty($insucom_logo_url)) {
                if (
                    isset($insucom_logo["url"]) &&
                    !empty($insucom_logo_url)
                ) { ?>
            <a href="<?php echo esc_url(site_url("/")); ?>" class="logo">
              <img src="<?php echo esc_url($insucom_logo_url); ?>" alt="<?php echo esc_attr(
    $insucom_logo_alt
); ?>">
            </a>
          <?php } else {the_custom_logo();}
            } else {
                printf(
                    '<h1 class="text-logo"><a href="%1$s">%2$s</a></h1>',
                    esc_url(site_url("/")),
                    esc_html(get_bloginfo("name"))
                );
            } ?>

      <div class="nav-wrapper-one">
          <div class="insucom-responsive-menu"></div>

            <?php wp_nav_menu([
                "theme_location" => "primary",
                "container" => "nav",
                "container_class" =>
                "nav-wrapper nav-wrapper-2 lg:block hidden",
                "menu_class" => "flex space-x-7 items-center",
                "menu_id" => "primary-menu",
                "fallback_cb" => "insucom_fallback_menu",
            ]); ?>

          </div>


            <div class="space-x-[52px] items-center xl:flex hidden">
              <div class="search-bar-wrapper relative">
                <button type="button">
                  <span><i class="icofont-search"></i></span>
                </button>
                <div
                  class="search-form w-[400px] p-5 bg-white shadow-2xl absolute -left-[300px] top-[60px] z-30"
                >
                  
                  <form role="search" method="get" action="<?php echo esc_url(
                      home_url("/")
                  ); ?>">
                    <input type="text" class="hsearch-input" value="<?php echo get_search_query(); ?>" name="s" placeholder="<?php esc_attr_e(
                        "Search...",
                        "insucom"
                    ); ?>" required />
                    <button type="submit" id="searchsubmitt" class="hsearch-button"><i class="icofont-search-1"></i></button>
                </form>

                </div>
              </div>

              <a
                href="<?php echo esc_url($header_btn_link_quote); ?>"
                class="px-[30px] py-5 border border-white rounded-lg text-white font-semibold spline-sans flex space-x-2.5 items-center capitalize hover:bg-white hover:text-primary-900 common-trans"
              >
                <span><?php if ($header_btn_text_quote):
                    echo esc_html($header_btn_text_quote);
                else:
                    echo esc_html__("Get a quote", "insucom");
                endif; ?></span>
              </a>
            </div>
          </div>
        </div>
      </div>
    </header>