<?php 

$show_blog_details_thumb = insucom_get_customize_option('show_blog_details_thumb', true);
$blog_single_cat = insucom_get_customize_option('blog_single_cat');
$blog_single_author= insucom_get_customize_option('blog_single_author');
$blog_single_date= insucom_get_customize_option('blog_single_date');
$blog_social = insucom_get_customize_option('blog_social', false);
$blog_single_taglist = insucom_get_customize_option('blog_tags', false);
$blog_author_box = insucom_get_customize_option('blog_author_box');
$blog_single_navigation = insucom_get_customize_option('blog_nav');
$blog_single_related = insucom_get_customize_option('blog_related', false);

?>

  <section class="page-title-wrapper w-full h-[345px]">
      <div class="theme-container mx-auto h-full">
        <div class="w-full h-full flex sm:flex-row flex-col sm:justify-between justify-center space-y-3 sm:space-y-0 items-center">
          <h2 class="headline-default text-primary-900"><?php esc_html_e('Blog Details', 'insucom'); ?></h2>
          <ul class="breadcrumb-wrapper flex space-x-5 items-center">
            <li class="breadcrumb-item">
              <a href="<?php echo esc_url(home_url('/')); ?>">
                <div class="flex space-x-5 items-center">
                  <span class="sm:text-lg text-primary-500 sm:leading-[27px] text-sm font-semibold spline-sans"
                    ><?php esc_html_e('Home', 'insucom'); ?></span>
                  <i class="ri-arrow-right-s-line"></i>
                </div>
              </a>
            </li>
            <li class="breadcrumb-item">
              <a href="<?php echo esc_url(home_url('/')); ?>">
                <div class="flex space-x-5 items-center">
                  <span class="sm:text-lg text-primary-500 sm:leading-[27px] text-sm font-semibold spline-sans"
                    ><?php esc_html_e('Blog Details', 'insucom'); ?></span>
                </div>
              </a>
            </li>
          </ul>
        </div>
      </div>
 	</section>

	<div class="lg:pt-[120px] lg:pb-[240px] pt-[60px] pb-[120px] post-layout-style2">
        <div class="theme-container mx-auto">
           	<div class="lg:grid grid-cols-12 lg:gap-[30px] single-blog-content">
            <div class="body-content-wrapper lg:col-span-8 col-span-12 mb-[80px] lg:mb-0">

            	<?php while (have_posts()):
				      the_post(); ?>

              	<div class="pb-[60px] border-b border-primaryBorder">

			           <div>
                  <p
                    class="sm:text-[30px] font-semibold spline-sans sm:leading-9 text-2xl text-primary-900 mb-2 details-title-blog"
                  >
                    <?php the_title(); ?>
                  </p>
                  <ul class="flex space-x-5 items-center mb-[30px]">
                    <li>
                      <span class="text-base leading-[27px] text-primary-100 post-author-link"
                        ><?php esc_html_e('By', 'insucom'); ?> <?php echo get_the_author_link(); ?></span
                      >
                    </li>
                  </ul>
                </div>

                <?php if(has_post_thumbnail() && $show_blog_details_thumb == true): ?>
                <div class="w-full mb-[30px] post-featured-thumb">
                  <img class="w-full h-full" src="<?php echo esc_url(get_the_post_thumbnail_url()); ?>" alt="<?php the_title_attribute(); ?>">
                </div>
                <?php endif; ?>
					
                <div class="post-body clearfix single-blog-header single-blog-inner blog-single-block blog-details-content">
					<!-- Article content -->
					<div class="entry-content clearfix">
						
						<?php
						if ( is_search() ) {
							the_excerpt();
						} else {
							the_content();
							insucom_link_pages();
						}
						?>

					</div>
				</div>
						

	

				</div>


				<?php if($blog_single_navigation == true) :?>
					<?php insucom_theme_post_navigation(); ?>
				<?php endif; ?>

				<?php comments_template(); ?>


				<?php endwhile; ?>


		    </div>


		<?php get_sidebar(); ?>


			</div>
		</div>

	</div>








