<?php 

$show_blog_details_thumb = insucom_get_customize_option('show_blog_details_thumb');
$blog_single_cat = insucom_get_customize_option('blog_single_cat');
$blog_single_author= insucom_get_customize_option('blog_single_author');
$blog_single_date= insucom_get_customize_option('blog_single_date');
$blog_social = insucom_get_customize_option('blog_social', false);
$blog_single_taglist = insucom_get_customize_option('blog_tags', false);
$blog_author_box = insucom_get_customize_option('blog_author_box');
$blog_single_navigation = insucom_get_customize_option('blog_nav');
$blog_single_related = insucom_get_customize_option('blog_related', false);

?>


<div id="main-content" class="bloglayout__One main-container blog-single post-layout-style2 single-one-bwrap single-blog-template-two"  role="main">
	<div class="container">
		<div class="row single-blog-content">

		<div class="col-lg-12">
		<?php while (have_posts()):
		the_post(); ?>

			<article id="post-<?php the_ID(); ?>" <?php post_class(["post-content", "post-single"]); ?>>

				<div class="blog_layout_one_Top">
					<div class="post-header-style1">
						<header class="entry-header clearfix single-blog-header">
						
						
						<h1 class="post-title single_blog_inner__Title">
						<?php the_title(); ?>
						</h1>

						<div class="post-block-meta-list single-post-metalist">

							<?php if (has_category() && $blog_single_cat == true) : ?>
							<div class="post-category-box">
							<?php require INSUCOM_THEME_DIR . '/template-parts/cat-alt-template.php'; ?>
							</div>
							<?php endif; ?>

							<?php if($blog_single_author == true) :?>
							<div class="post-meta-author-box">
								BY <?php echo get_the_author_link(); ?>
							</div>
							<?php endif; ?>
							
							<?php if($blog_single_date == true) :?>
							<div class="post-meta-date-box">
								<?php echo esc_html( get_the_date( 'F j, Y' ) ); ?>
							</div>
							<?php endif; ?>
							
						</div>	


						</header>
					</div>  

				</div>
							
				<div class="theme-blog-details">
				
				<?php if ( has_post_thumbnail() && $show_blog_details_thumb == true && !post_password_required() ) : ?>
				<div class="post-featured-image">
				<?php if(get_post_format()=='video'): ?>
					<?php get_template_part( 'template-parts/single/post', 'video' ); ?>  
					<?php else: ?>
					<img class="img-fluid" src="<?php echo esc_url(get_the_post_thumbnail_url()); ?>" alt="<?php the_title_attribute(); ?>">
					<?php endif; ?>
				</div>
				<?php endif; ?>
				
				<div class="post-body clearfix single-blog-header single-blog-inner blog-single-block blog-details-content">
					<!-- Article content -->
					<div class="entry-content clearfix">
						
						<?php
						if ( is_search() ) {
							the_excerpt();
						} else {
							the_content();
							insucom_link_pages();
						}
						?>

					</div>
				</div>
				
				</div>
							
			</article>


			<div class="post-share-tag-box">

				<?php if($blog_social == true) :?>
				<?php echo insucom_social_sharing(); ?>
				<?php endif; ?>

				<?php if(has_tag() && $blog_single_taglist == true ) : ?>
				<div class="post-tag-box">
					<?php insucom_single_post_tags(); ?>
				</div>
				<?php endif; ?>	

			</div>

				<?php if($blog_author_box == true) :?>
					<?php insucom_theme_author_box(); ?>
				<?php endif; ?>

					   
				<?php if($blog_single_navigation == true) :?>
					<?php insucom_theme_post_navigation(); ?>
				<?php endif; ?>

				<?php comments_template(); ?>

				<?php endwhile; ?>
			</div>
					

		</div>
		
		<?php if($blog_single_related == true) :?>
		<div class="theme_related_posts_Wrapper">
			
			<div class="row">
				<div class="col-lg-12">
					<?php get_template_part('template-parts/single/related', 'posts'); ?>
				</div>
			</div>
			
		</div>
		<?php endif; ?>
	</div> 
	
</div>




